## The Terminal (shell)

Starting the terminal presents itself with a line where you can enter a command
```bash
cesar@myComputer>
```

<div class="fragment">
<br>
Often written, for covenience, as
```bash
$
```

<br>
When you open your terminal (shell), you are located
in your home directory (unless otherwise configured), denoted as `~/`.


## Essential Linux commands

List the contents of a directory
```bash
$ ls
```

<div class="fragment">
<br>
Change the directory to a specific folder
```bash
$ cd myDirectory
```

<div class="fragment">
<br>
Change the directory 1 level and 2 levels up
```bash
$ cd ..
# 1 level up

$ cd ../..
# 2 levels up
```


<br>
Create a directory
```bash
$ mkdir myNewDirectory
```

<div class="fragment">
<br>
Move a file or a directory
```bash
$ mv myFile.m myDirectory/.
```

<div class="fragment">
<br>
Rename a file or a directory
```bash
$ mv myFile.m myNewFile.m
```
